ข้ามไปยังเนื้อหา

Workflow Utilities Blend Video

ผสานการทำงาน

ID โมเดล workflow-utilities/blend-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/blend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

สูงสุด $3.60 ต่อการเรียกใช้ คิดค่าบริการตามการใช้งานจริง ส่วนที่เหลือจะคืนเงิน เรียกใช้ในหน้านี้

รับคีย์ API
Utility · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น
วางไฟล์ หรือ

URL สำหรับวิดีโอที่ใช้เป็นเลเยอร์บน

•จำเป็น
วางไฟล์ หรือ

URL สำหรับวิดีโอที่ใช้เป็นเลเยอร์ล่าง

ขั้นสูง blend_mode · opacity · shortest
ค่าเริ่มต้น overlay

วิธีการผสมที่ใช้รวมวิดีโอ

ค่าเริ่มต้น 1

ความทึบของเลเยอร์บน ตั้งแต่ 0.0 ถึง 1.0

POST /run/workflow-utilities/blend-video?wait=20 ใบเสนอราคา → $3.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/blend-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Workflow Utilities Blend Video

รวมวิดีโอด้านบนและด้านล่างเป็นวิดีโอเดียวโดยใช้โหมดการผสาน เช่น overlay, multiply, difference หรือรูปแบบ screen (รวม 23 โหมด ค่าเริ่มต้นคือ overlay) `opacity` กำหนดความเข้มของเลเยอร์บนตั้งแต่ 0 ถึง 1 เมื่อเปิดใช้ `shortest` เอาต์พุตจะสิ้นสุดเมื่ออินพุตที่สั้นกว่าสิ้นสุด

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
top_video_urlจำเป็น
ประเภทurl · video
URL สำหรับวิดีโอที่ใช้เป็นเลเยอร์บน
bottom_video_urlจำเป็น
ประเภทurl · video
URL สำหรับวิดีโอที่ใช้เป็นเลเยอร์ล่าง
blend_modeไม่บังคับ
ประเภทenum
ค่าเริ่มต้นoverlay
additionaverageburndarkendifferencedividedodgeexclusiongrainextractgrainmergehardlightlightenmultiplynegationnormaloverlay
เพิ่มเติมอีก 7 ค่าphoenixpinlightreflectscreensoftlightsubtractvividlight
วิธีการผสมที่ใช้รวมวิดีโอ
opacityไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น1
0 – 1
ความทึบของเลเยอร์บน ตั้งแต่ 0.0 ถึง 1.0
shortestไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
หยุดเอาต์พุตทันทีเมื่ออินพุตที่สั้นที่สุดสิ้นสุด
จำเป็น

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/blend-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3600,
    "usd": "3.60",
    "charged": 3600,
    "refunded": 0
  },
  "input": {
    "top_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "bottom_video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}วิดีโอที่สร้างจากการผสมอินพุต

โมเดลเพิ่มเติม: วิดีโอเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/workflow-utilities/blend-video.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt